The files of this folder can generate the results of the following paper:

    Seyed Saman Saboksayr and Gonzalo Mateos,
    "Dual-based Online Learning of Dynamic Network Topologies,"
    2023 IEEE International Conference on Acoustics, Speech and Signal Processing (ICASSP).
    Preprint: 



    Files:
        sim_invariant_ER100.m : Simulation for invariant ER graph with 100 node (Fig. 1 (a))
        sim_dynamic_ER50.m    : Simulation for dynamic ER graph with 50 node (Fig. 1 (b))
        sim_dynamic_SBM100.m  : Simulation for dynamic SBM graph with 100 node (Fig. 1 (c))
        sim_epilepsy.m        : Simulation for epilepsy data (Fig. 2)

    Required MATLAB toolboxes:

        The Graph Signal Processing Toolbox:

            Link: https://epfl-lts2.github.io/gspbox-html/

            Citation: P. Nathanael, J. Paratte, D. Shuman, L. Martin, 
                      V. Kalofolias, P. Vandergheynst and D. K. Hammond, 
                      "GSPBOX: A toolbox for signal processing on graphs," 
                      arxiv e-print, 08-2014.

        Graph learning:

            Link: http://web.media.mit.edu/~xdong/code/graphlearning.zip

            Citation: X. Dong, D. Thanou, P. Frossard and P. Vandergheynst, 
                      "Learning Laplacian matrix in smooth graph signal representations," 
                      arXiv:1406.7842.    

    Note: The citation for the datasets that have been used in this study are as follows,

            epilepsy data:

            M. A. Kramer, E. D. Kolaczyk, and H. E. Kirsch, 
            "Emergent network topology at seizure onset in humans," 
            Epilepsy Res., vol. 79, no. 2, pp. 173-186, 2008.

    Author: Seyed Saman Saboksayr
    Date:   November 2022